### 27.7 GDB/MI Command Description Format

The remaining sections describe blocks of commands. Each block of commands is laid out in a fashion similar to this section.

#### Motivation

The motivation for this collection of commands.

#### Introduction

A brief introduction to this collection of commands as a whole.

#### Commands

For each command in the block, the following is described:

#### Synopsis

     -command args…

#### Result

#### GDB Command

The corresponding GDB CLI command(s), if any.

#### Example

Example(s) formatted for readability. Some of the described commands have not been implemented yet and these are labeled N.A. (not available).